// Copyright (C) 2010 - H. Nahrstaedt
//


computed = nan_accumarray ([1;2;4;2;4],101:105);
expected = [101;206;0;208];

assert_checkalmostequal ( computed , expected , %eps );


computed = nan_accumarray ([1,1,1;2,1,2;2,3,2;2,1,2;2,3,2],101:105);
expected = cat(3, [101,0,0;0,0,0],[0,0,0;206,0,208]);

assert_checkalmostequal ( computed(:) , expected(:) , %eps );


computed = nan_accumarray ([1 1; 2 1; 2 3; 2 1; 2 3],1,[2,4]);
expected = [1,0,0,0;2,0,2,0];

assert_checkalmostequal ( computed , expected , %eps );


//error (accumarray (1:5))
//error (accumarray ([1,2,3],1:2))

//assert (accumarray ([1,1,1;2,1,2;2,3,2;2,1,2;2,3,2],101:105,[],@(x)sin(sum(x))),sin(cat(3, [101,0,0;0,0,0],[0,0,0;206,0,208])))
//assert (accumarray ({[1 3 3 2 3 1 2 2 3 3 1 2],[3 4 2 1 4 3 4 2 2 4 3 4],[1 1 2 2 1 1 2 1 1 1 2 2]},101:112),cat(3,[0,0,207,0;0,108,0,0;0,109,0,317],[0,0,111,0;104,0,0,219;0,103,0,0]))
//assert (accumarray ([1,1;2,1;2,3;2,1;2,3],101:105,[2,4],@max,NaN),[101,NaN,NaN,NaN;104,NaN,105,NaN])
//assert (accumarray ([1 1; 2 1; 2 3; 2 1; 2 3],101:105,[2 4],@prod,0,true),sparse([1,2,2],[1,1,3],[101,10608,10815],2,4))

//assert (accumarray ([1 1; 2 1; 2 3; 2 1; 2 3],101:105,[2,4],@(x)length(x)>1),[false,false,false,false;true,false,true,false])
//test
// A = accumarray ([1 1; 2 1; 2 3; 2 1; 2 3],101:105,[2,4],@(x){x});
// assert (A{2},[104;102])
